﻿// Кэш методов оптимизации.
//
// BSLLS:NestedFunctionInParameters-off - без лишних переменных выполнение быстрее
// BSLLS:EmptyRegion-off - пустые области разрешены

#Область ПрограммныйИнтерфейс

#КонецОбласти

#Область СлужебныйПрограммныйИнтерфейс

// Возвращается признак использования выделения долгосрочных активов / обязательств на отдельных счетах в БУ.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - проверяемая организация.
//  Период - Дата - проверяемый период.
//
// Возвращаемое значение:
//  Булево - признак использования выделения долгосрочных активов / обязательств на отдельных счетах в БУ.
//
Функция ИспользуетсяДелениеНаДолгосрочныеКраткосрочныеАктивыОбязательства(Организация, Период) Экспорт
	
	Возврат оптерп_Модуль.УчетнаяПолитика().
		ИспользуетсяДелениеНаДолгосрочныеКраткосрочныеАктивыОбязательства(Организация, Период);
	
КонецФункции

// Оптимизация функции РегистрыБухгалтерии.Хозрасчетный.ПустоеЗначениеСубконто().
//
// Параметры:
//  ВидСубконто - ПланВидовХарактеристикСсылка.ВидыСубконтоХозрасчетные - вид субконто.
//
// Возвращаемое значение:
//  Пустое значение произвольного типа.
//
Функция ПустоеЗначениеСубконто(ВидСубконто) Экспорт
	
	Возврат ВидСубконто.ТипЗначения.ПривестиЗначение(Неопределено);
	
КонецФункции

#КонецОбласти

#Область СлужебныеПроцедурыИФункции

#КонецОбласти

// BSLLS:NestedFunctionInParameters-on
// BSLLS:EmptyRegion-on
